local L = LibStub("AceLocale-3.0"):NewLocale("DebuffEnough", "enUS", true)

-- config strings

L["config"] = true
L["Toggle the Configuration Dialog"] = true

L["General"] = true
L["Enable"] = true
L["Enable or disable the addon"] = true
L["Enable While Solo"] = true
L["Enable DebuffEnough while not in a party/raid"] = true
L["Log Level"] = true
L["Determines the amount of output from the addon"] = true

L["Display"] = true
L["Show Display"] = true
L["Shows the display"] = true
L["Lock"] = true
L["Lock the display"] = true
L["Scale"] = true
L["Scale of the display"] = true
L["Opacity"] = true
L["Opacity of the display"] = true
L["Strata"] = true
L["Strata of the display"] = true
L["Fade"] = true
L["Fade frame after this many seconds of being debuff enough. Set to 0 for no fading"] = true
L["Debuff Color"] = true
L["Color to display when your target is debuff enough"] = true
L["Undebuff Color"] = true
L["Color to display when your target is not debuff enough"] = true
L["Warn Debuff Color"] = true
L["Color to display when the optimal debuff for a slot is not being applied"] = true

L["Tooltip"] = true
L["Show Best Debuff Only"] = true
L["Only show the best debuff for the given slot. If unchecked, all possible debuffs are shown, and the best options are highlighted."] = true
L["Show My Class Debuffs Only"] = true
L["Only show debuffs that your class can cast"] = true

L["Custom"] = true
L["Show Healing Taken Debuffs"] = true
L["Show debuffs that reduce healing taken"] = true
L["Show Cast Speed Debuffs"] = true
L["Show debuffs that reduce cast speed"] = true

L["Profile: %s"] = true

-- tooltip output

L["Yes"] = true
L["No"] = true
L["Warning"] = true

L["Talents Scanned"] = true
L["Hint"] = "\n\n|cffafa4ffLeft-click|r |cffffffffto open config|r\n|cffafa4ffRight-click|r |cffffffffto report missing debuffs|r"
L["Currently disabled"] = true
L["All buffs accounted for!"] = true

-- debuff slots

L["Armor (Major)"] = true
L["Armor (Minor)"] = true
L["Attack Power"] = true
L["Bleed Damage"] = true
L["Cast Speed"] = true
L["Critical Strike Chance Taken"] = true
L["Healing Taken"] = true
L["Melee Attack Speed Slow"] = true
L["Melee Hit Chance Reduction"] = true
L["Physical Vulnerability"] = true
L["Spell Critical Strike Chance"] = true
L["Spell Damage Taken"] = true
L["Spell Hit Chance Taken"] = true

L["Worm"] = true
L["Wasp"] = true
L["Core Hound"] = true

-- log levels

L["NONE"] = "Disabled"
L["ERROR"] = "Errors only"
L["WARN"] = "Errors and warnings"
L["INFO"] = "Informational messages"
L["DEBUG"] = "Debug messaging"
L["TRACE"] = "Debug trace messages"
L["SPAM"] = "Everything"